NodeRendererBase.DnDOptionsHolder (RichFaces JSF components library 3.2.1.GA API)
Keywords: org.richfaces.renderkit.NodeRendererBase.DnDOptionsHolder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class NodeRendererBase.DnDOptionsHolder

    java.lang.Object
      org.richfaces.renderkit.NodeRendererBase.DnDOptionsHolder

Enclosing class:
  NodeRendererBase

    protected static final class NodeRendererBase.DnDOptionsHolder

extends java.lang.Object

Constructor Summary
`NodeRendererBase.DnDOptionsHolder(java.lang.String dragOptions, java.lang.String dragCursorOptions, java.lang.String dropOptions, java.lang.String dropCursorOptions)`

Method Summary
`java.lang.String` | `getDragCursorOptions()`
`java.lang.String` | `getDragOptions()`
`java.lang.String` | `getDropCursorOptions()`
`java.lang.String` | `getDropOptions()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeRendererBase.DnDOptionsHolder

    public NodeRendererBase.DnDOptionsHolder(java.lang.String dragOptions,
                                             java.lang.String dragCursorOptions,
                                             java.lang.String dropOptions,
                                             java.lang.String dropCursorOptions)

Method Detail

### getDragOptions

    public java.lang.String getDragOptions()

### getDropOptions

    public java.lang.String getDropOptions()

### getDragCursorOptions

    public java.lang.String getDragCursorOptions()

### getDropCursorOptions

    public java.lang.String getDropCursorOptions()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.